<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.505
Name: Antidotum nav sedatie
Description: Template: Antidotum nav sedatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000">
   <title>Antidotum nav sedatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]
Item: (Antidotumnavsedatie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]
Item: (Antidotumnavsedatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]"
         id="tmp-r-5737a599-7de3-4754-907f-fa274d85f170">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="string(@classCode)='CLUSTER'">(Antidotumnavsedatie): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Antidotumnavsedatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505'])&gt;=1 ">(Antidotumnavsedatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505'])&lt;=1">(Antidotumnavsedatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Antidotumnavsedatie): element hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Antidotumnavsedatie): element hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(Antidotumnavsedatie): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(Antidotumnavsedatie): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']
Item: (Antidotumnavsedatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']"
         id="tmp-r-4e09ad36-2c22-4f3f-953d-62408aad74c9">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antidotumnavsedatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.505'">(Antidotumnavsedatie): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.505' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Antidotumnavsedatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:code[(@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5cd24319-7d11-47a2-b661-80e85703b3ff">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antidotumnavsedatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="@nullFlavor or (@code='67329000' and @codeSystem='2.16.840.1.113883.6.96')">(Antidotumnavsedatie): de elementwaarde MOET zijn code '67329000' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:statusCode[@code='completed']
Item: (Antidotumnavsedatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:statusCode[@code='completed']"
         id="tmp-r-86cd7534-25ff-4447-b5f0-6af141aad059">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Antidotumnavsedatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.html"
              test="@nullFlavor or (@code='completed')">(Antidotumnavsedatie): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.505
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.506']]]
Item: (Antidotumnavsedatie)
--></pattern>
